org.apache.solr.handler.dataimport

## Class DataImportHandlerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.solr.handler.dataimport.DataImportHandlerException

- All Implemented Interfaces:
    Serializable

      public class DataImportHandlerException
      extends RuntimeException

  Exception class for all DataImportHandler exceptions

  This API is experimental and subject to change

  Since:
    solr 1.3
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `debugged`
    `static String` | `MSG`
    `static int` | `SEVERE`
    `static int` | `SKIP`
    `static int` | `SKIP_ROW`
    `static int` | `WARN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataImportHandlerException(int err)`
    `DataImportHandlerException(int err, String message)`
    `DataImportHandlerException(int err, String message, Throwable cause)`
    `DataImportHandlerException(int err, Throwable cause)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrCode()`
    `static DataImportHandlerException` | `wrapAndThrow(int err, Exception e)`
    `static DataImportHandlerException` | `wrapAndThrow(int err, Exception e, String msg)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### debugged

          public boolean debugged

    - #### SEVERE

          public static final int SEVERE

      See Also:
        Constant Field Values

    - #### WARN

          public static final int WARN

      See Also:
        Constant Field Values

    - #### SKIP

          public static final int SKIP

      See Also:
        Constant Field Values

    - #### SKIP_ROW

          public static final int SKIP_ROW

      See Also:
        Constant Field Values

    - #### MSG

          public static final String MSG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataImportHandlerException

          public DataImportHandlerException(int err)

    - #### DataImportHandlerException

          public DataImportHandlerException(int err,
                                            String message)

    - #### DataImportHandlerException

          public DataImportHandlerException(int err,
                                            String message,
                                            Throwable cause)

    - #### DataImportHandlerException

          public DataImportHandlerException(int err,
                                            Throwable cause)

  - ### Method Detail

    - #### getErrCode

          public int getErrCode()

    - #### wrapAndThrow

          public static DataImportHandlerException wrapAndThrow(int err,
                                                                Exception e)

    - #### wrapAndThrow

          public static DataImportHandlerException wrapAndThrow(int err,
                                                                Exception e,
                                                                String msg)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.